﻿using System;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    // 
    // async/await 예제
    //
    class Program
    {
        static async Task Main(string[] args)
        {
            Program pg = new Program();

            await pg.CallAsync();
        }

        private async Task CallAsync()
        {
            string title = DateTime.Now.ToString();
            string text = await GetFileContents();
            Console.WriteLine(title + ": " + text);
        }

        private async Task<string> GetFileContents()
        {
            Task<string> getStringTask = new TaskFactory().StartNew(() => { return "test"; });

            string urlContents = await getStringTask;
            return urlContents;
        }
    }
}
